Bug 962054 - [abrt] rdiff-backup-1.2.8-7.fc17: rpath.py:1072:delete:OSError: [Errno 5] Input/output error: "/misc/Backup/pja_home.backup/Dropbox/bagpipes/Tunes/WALSH'S.bmw"
[abrt] rdiff-backup-1.2.8-7.fc17: rpath.py:1072:delete:OSError: [Errno 5] Inp...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rdiff-backup (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:1d34e3557d7c7875cbef343074b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-11 06:15 EDT by p.anderson
Modified: 2013-08-01 13:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description p.anderson 2013-05-11 06:15:14 EDT
Version-Release number of selected component:
rdiff-backup-1.2.8-7.fc17

Additional info:
cmdline:        /usr/bin/python /bin/rdiff-backup -v3 --preserve-numerical-ids --include **/pja/.wine --exclude **/pja/.kde/share --include **/pja/.kde --include **/pja/.config --exclude **/pja/.kde/share --exclude **/pja/.* /home/pja /misc/Backup/pja_home.backup
executable:     /bin/rdiff-backup
kernel:         3.8.4-102.fc17.x86_64
uid:            0
ureports_counter: 1

Truncated backtrace:
rpath.py:1072:delete:OSError: [Errno 5] Input/output error: "/misc/Backup/pja_home.backup/Dropbox/bagpipes/Tunes/WALSH'S.bmw"

Traceback (most recent call last):
  File "/bin/rdiff-backup", line 30, in <module>
    rdiff_backup.Main.error_check_Main(sys.argv[1:])
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 304, in error_check_Main
    try: Main(arglist)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 324, in Main
    take_action(rps)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 280, in take_action
    elif action == "backup": Backup(rps[0], rps[1])
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 343, in Backup
    backup.Mirror_and_increment(rpin, rpout, incdir)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 51, in Mirror_and_increment
    DestS.patch_and_increment(dest_rpath, source_diffiter, inc_rpath)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 243, in patch_and_increment
    ITR(diff.index, diff)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/rorpiter.py", line 281, in __call__
    last_branch.fast_process(*args)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 706, in fast_process
    mirror_rp.delete()
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/rpath.py", line 1072, in delete
    try: self.conn.os.unlink(self.path)
OSError: [Errno 5] Input/output error: "/misc/Backup/pja_home.backup/Dropbox/bagpipes/Tunes/WALSH'S.bmw"

Local variables in innermost frame:
self: <rdiff_backup.rpath.RPath instance at 0x2e94bd8>
error: OSError(5, 'Input/output error')
Comment 1 Kevin Fenzi 2013-05-11 15:15:48 EDT
i/o error is usually pointing to a filesystem or device issue. 

Any errors from that filesystem in 'dmesg' ? 

is the "/misc/Backup/pja_home.backup/Dropbox/bagpipes/Tunes/WALSH'S.bmw" file readable and removable?
Comment 2 Fedora End Of Life 2013-07-04 02:12:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 13:42:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.